http://www.perlmonks.org?node_id=845770


in reply to How PAR pp works?

Newer versions of Switch.pm (as they come with 5.12.x) have a line

use if $] >= 5.011, 'deprecate';

which - due to the use if - apparently isn't considered a dependency of Switch by Module::ScanDeps (which is used under the hood by PAR).

Try explicitly adding the module (pp -M deprecate ..., I think). — Or better yet, don't use Switch in the first place... :)